# Uses of Enum
com.databricks.jdbc.model.client.thrift.generated.TDBSqlCompressionCodec

Packages that use TDBSqlCompressionCodec
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TDBSqlCompressionCodec in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TDBSqlCompressionCodec in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`enum`
`TDBSqlCompressionCodec`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TDBSqlCompressionCodec
Modifier and Type
Field
Description
`TDBSqlCompressionCodec`
TDBSqlArrowFormat.`compressionCodec`
`TDBSqlCompressionCodec`
TDBSqlCsvFormat.`compressionCodec`
`TDBSqlCompressionCodec`
TDBSqlJsonArrayFormat.`compressionCodec`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TDBSqlCompressionCodec
Modifier and Type
Method
Description
`static TDBSqlCompressionCodec`
TDBSqlCompressionCodec.`findByValue(int value)`
Find a the enum type by its integer value, as defined in the Thrift IDL.
`TDBSqlCompressionCodec`
TDBSqlArrowFormat.`getCompressionCodec()`
`TDBSqlCompressionCodec`
TDBSqlCsvFormat.`getCompressionCodec()`
`TDBSqlCompressionCodec`
TDBSqlJsonArrayFormat.`getCompressionCodec()`
`static TDBSqlCompressionCodec`
TDBSqlCompressionCodec.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TDBSqlCompressionCodec[]`
TDBSqlCompressionCodec.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TDBSqlCompressionCodec
Modifier and Type
Method
Description
`TDBSqlArrowFormat`
TDBSqlArrowFormat.`setCompressionCodec(TDBSqlCompressionCodec compressionCodec)`
`TDBSqlCsvFormat`
TDBSqlCsvFormat.`setCompressionCodec(TDBSqlCompressionCodec compressionCodec)`
`TDBSqlJsonArrayFormat`
TDBSqlJsonArrayFormat.`setCompressionCodec(TDBSqlCompressionCodec compressionCodec)`